SOAPConstants (Axis API)
Keywords: org.apache.axis.soap.SOAPConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Interface SOAPConstants

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  SOAP11Constants, SOAP12Constants

public interface SOAPConstants
extends java.io.Serializable

An interface definining SOAP constants. This allows various parts of the engine to avoid hardcoding dependence on a particular SOAP version and its associated URIs, etc. This might be fleshed out later to encapsulate factories for behavioral objects which act differently depending on the SOAP version, but for now it just supplies common namespaces + QNames.

Author:
  Glen Daniels (gdaniels@apache.org), Andras Avar (andras.avar@nokia.com)

Field Summary
`static SOAP11Constants` | `SOAP11_CONSTANTS` SOAP 1.1 constants - thread-safe and shared
`static SOAP12Constants` | `SOAP12_CONSTANTS` SOAP 1.2 constants - thread-safe and shared

Method Summary
`QName` | `getArrayType()` Obtain the QName of the SOAP array type
`java.lang.String` | `getAttrHref()` Obtain the href attribute name
`java.lang.String` | `getAttrItemType()` Obtain the item type name of an array
`QName` | `getBodyQName()` Obtain the QName for the Body element
`java.lang.String` | `getContentType()` Obtain the MIME content type
`java.lang.String` | `getEncodingURI()` Obtain the encoding namespace for this version of SOAP
`java.lang.String` | `getEnvelopeURI()` Obtain the envelope namespace for this version of SOAP
`QName` | `getFaultQName()` Obtain the QName for the Fault element
`QName` | `getHeaderQName()` Obtain the QName for the Header element
`QName` | `getMustunderstandFaultQName()` Obtain the Qname of Mustunderstand fault code
`java.lang.String` | `getNextRoleURI()` Obtain the "next" role/actor URI
`QName` | `getRoleAttributeQName()` Obtain the QName for the role attribute (actor/role)
`QName` | `getVerMismatchFaultCodeQName()` Obtain the Qname of VersionMismatch fault code

Field Detail

### SOAP11_CONSTANTS

    public static final SOAP11Constants SOAP11_CONSTANTS

  SOAP 1.1 constants - thread-safe and shared

### SOAP12_CONSTANTS

    public static final SOAP12Constants SOAP12_CONSTANTS

  SOAP 1.2 constants - thread-safe and shared

Method Detail

### getEnvelopeURI

    public java.lang.String getEnvelopeURI()

  Obtain the envelope namespace for this version of SOAP

### getEncodingURI

    public java.lang.String getEncodingURI()

  Obtain the encoding namespace for this version of SOAP

### getFaultQName

    public QName getFaultQName()

  Obtain the QName for the Fault element

### getHeaderQName

    public QName getHeaderQName()

  Obtain the QName for the Header element

### getBodyQName

    public QName getBodyQName()

  Obtain the QName for the Body element

### getRoleAttributeQName

    public QName getRoleAttributeQName()

  Obtain the QName for the role attribute (actor/role)

### getContentType

    public java.lang.String getContentType()

  Obtain the MIME content type

### getNextRoleURI

    public java.lang.String getNextRoleURI()

  Obtain the "next" role/actor URI

### getAttrHref

    public java.lang.String getAttrHref()

  Obtain the href attribute name

### getAttrItemType

    public java.lang.String getAttrItemType()

  Obtain the item type name of an array

### getVerMismatchFaultCodeQName

    public QName getVerMismatchFaultCodeQName()

  Obtain the Qname of VersionMismatch fault code

### getMustunderstandFaultQName

    public QName getMustunderstandFaultQName()

  Obtain the Qname of Mustunderstand fault code

### getArrayType

    public QName getArrayType()

  Obtain the QName of the SOAP array type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.